This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 890087 - (CVE-2012-5668) CVE-2012-5668 freetype: NULL Pointer Dereference in bdf_free_font (#37905)
CVE-2012-5668 freetype: NULL Pointer Dereference in bdf_free_font (#37905)
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121215,reported=2...
: Security
Depends On:
Blocks: 890078
  Show dependency treegraph
 
Reported: 2012-12-24 23:02 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 07:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-12-24 23:02:19 EST
A Null pointer de-reference flaw was found in the way Freetype font rendering engine handled Glyph bitmap distribution format (BDF) fonts. A remote attacker could provide a specially-crafted BDF font file, which once processed in an application linked against FreeType would lead to that application crash.

Upstream bug:
https://savannah.nongnu.org/bugs/?37905 
Patch: 
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=9b6b5754b57c12b820e01305eb69b8863a161e5a

External Reference:

http://seclists.org/oss-sec/2012/q4/511
Comment 4 Huzaifa S. Sidhpurwala 2013-01-03 00:19:16 EST
This issue affects the version of freetype as shipped with Fedora 16 and Fedora 17.
Comment 5 Vincent Danen 2015-08-22 11:17:40 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.